LibreOffice: XRecentFunctions Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XRecentFunctions Interface Referencepublished

provides access to a list of recently used functions. More...

`import"XRecentFunctions.idl";`

Inheritance diagram for XRecentFunctions:

## Public Member Functions
sequence< long > | getRecentFunctionIds ()
| returns a sequence of those functions that were most recently used. More...
void | setRecentFunctionIds ([in] sequence< long > aRecentFunctionIds)
| sets the list of those functions that were most recently used. More...
long | getMaxRecentFunctions ()
| returns the maximum number of entries that will be stored as recently used functions. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a list of recently used functions.

See also
  com::sun::star::sheet::RecentFunctions

## Member Function Documentation

## ◆ getMaxRecentFunctions()

long getMaxRecentFunctions | ( |  | ) |

returns the maximum number of entries that will be stored as recently used functions.

## ◆ getRecentFunctionIds()

sequence< long > getRecentFunctionIds | ( |  | ) |

returns a sequence of those functions that were most recently used.

The functions are represented by their identifiers.

Returns
  the sequence of function identifiers most recently used.

## ◆ setRecentFunctionIds()

void setRecentFunctionIds | ( | [in] sequence< long > | aRecentFunctionIds | ) |

sets the list of those functions that were most recently used.

The functions are represented by their identifiers.

Parameters

  aRecentFunctionIds | the sequence of function identifiers most recently used.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XRecentFunctions.idl